Subject: Re: [ntpwg] [ntp:questions] RFC section 7.4 b. wording seems off for the desired action.

From: Danny Mayer <[email-masked]>
Date: Thu, 29 Sep 2011 23:24:14 -0400

On 9/29/2011 5:32 PM, [email-masked] wrote:
>>From the RFC 5905 (Jun 2010)
> 7.4. The Kiss-o’-Death Packet
> If the Stratum field is 0, which implies unspecified or invalid, the
> Reference Identifier field can be used to convey messages useful for
> status reporting and access control. These are called Kiss-o’-Death
> (KoD) packets and the ASCII messages they convey are called kiss
> codes. The KoD packets got their name because an early use was to
> tell clients to stop sending packets that violate server access
> controls. The kiss codes can provide useful information for an
> intelligent client, either NTPv4 or SNTPv4. Kiss codes are encoded
> in four-character ASCII strings that are left justified and zero
> filled. The strings are designed for character displays and log
> files. A list of the currently defined kiss codes is given in
> Figure 13. Recipients of kiss codes MUST inspect them and, in the
> following cases, take these actions:
> a. For kiss codes DENY and RSTR, the client MUST demobilize any
> associations to that server and stop sending packets to that
> server;
> b. For kiss code RATE, the client MUST immediately reduce its
> polling interval to that server and continue to reduce it each
> time it receives a RATE kiss code.
> c. Kiss codes beginning with the ASCII character "X" are for
> unregistered experimentation and development and MUST be ignored
> if not recognized.
> d. Other than the above conditions, KoD packets have no protocol
> significance and are discarded after inspection.
> 
> For list item  b.  (RATE code) action the way I understand it, if the
> client is at a poll of 2^6 (64 seconds ) upon receiving a RATE code
> from the server and reduce it to polling interval of the server
> (something less or equal to then 2^5 or 40 seconds), and continue
> reducing it for each subsequent RATE message till the minimum poll
> interval of 2^4 (16 seconds) is reached. This would result in the
> client polling the server more often, and continuing to exceed the
> rate would it not?
> 
> Should list item b. instead read "For the kiss code RATE, the client
> MUST immediately increase its polling interval to that of the server,
> and continue to increase it each time it  receives a RATE kiss code."?

You are correct. That's an error. it should be increase rather than
reduce, or put it another way reduce the frequency. Thanks for spotting
that.

I'm copying the Working Group on this. We'll need to get an errata
issued on RFC 5905.

Danny
_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg